function setup()
	actor.name = "E. Grace"
	actor.portrait = "egrace"
	actor.repairCost = 150
	actor.repairTime = 3
	
	actor.addMessage("E. GRACE: What are you doing? Get out of here! Before you ruin everything!", "", 0, 1)
	
	actor.addMessage("E. GRACE: You! All that noise you're kicking up has ruined any chance of a good signal!", "", 5)
	actor.addMessage("HELLO HUMAN WE ARE IN VALIANT FIGHT AGAINST VILE NEMESIS-" , "stolenrobot", 5)
	actor.addMessage("E. GRACE: Don't care! You're getting in the way of the stars!", "", 5)
	actor.addMessage("E. GRACE: You owe me transport to deep space. There, I'll be alone with my telescope, stars, and cats.", "", 5)
	
	actor.addEvent("boss_grace", 0)
	actor.addEvent("bossfriendly_1", 0)
	actor.addWave("battlecruiser", 1, 0, "GRACE", "survivor", 1)	--adds the wave, but doesn't start a battle
	wave.spawnmode = 2				--start out on the map
	wave.faction = 1					--player's faction
	
	actor.addEvent("if_bossalive", 4)
	actor.addEvent("fleet_sensors", 5)
	
	--displayname co-opted as the description
	actor.displayName = "Their ship has amazing sensors... all aimed at empty space. Their throwaway data includes a map of the sector."

	actor.addClickText("Soon the stars will sing to me.")
	actor.addClickText("After carefully considering all possible options... I choose to BURN THE SYSTEM TO THE GROUND.")
	actor.addClickText("Check out this cool supernova I found!")
	actor.addClickText("I AM AN AGENT OF CHAOS.")
	actor.addClickText("Oooh, neat space-time anomalies!")
	actor.addClickText("Can't talk, calibrating equipment.")
	actor.addClickText("I prefer gender-neutral pronouns, actually.")
end
